<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\Component\ButtonDropdown;
use EventPortal\Domain\Component\Column\TextColumn;
use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Table\Facades\Table;
use EventPortal\Enums\InertiaMethod;

Table::make('archived-event.index')
    ->setColumns(function () {
        return [
            TextColumn::make('Event name')->name('name')->searchable()->sortable(),
        ];
    })
    ->setRowAction(function (Event $event) {
        return ButtonDropdown::make('Transition')
            ->actions([
                Button::make('Restore (to draft)')
                    ->method(InertiaMethod::POST())
                    ->route('admin.event.transition', [
                        'event' => $event->id,
                        'type' => 'draft',
                    ]),
                Button::make('Restore (to post)')
                    ->method(InertiaMethod::POST())
                    ->route('admin.event.transition', [
                        'event' => $event->id,
                        'type' => 'post',
                    ]),
            ]);
    });
