<?php

namespace EventPortal\Tests\Support\Assertions;

use EventPortal\Tests\Support\ModelChecker;
use PHPUnit\Framework\Assert;

class CollectionAssertions
{
    public function assertContainsModel()
    {
        return function ($expected) {
            Assert::assertTrue(
                ModelChecker::collectionContainsModel($expected, $this),
                'Failed asserting that the collection contains the model'
            );
        };
    }

    public function assertNotContainsModel()
    {
        return function ($expected) {
            Assert::assertFalse(
                ModelChecker::collectionContainsModel($expected, $this),
                'Failed asserting that the collection does not contain the model'
            );
        };
    }
}
