<?php

namespace EventPortal\Tests\Unit\Util;

use EventPortal\Domain\Event\Models\Event;
use EventPortal\Domain\Util\Parameters;
use EventPortal\Tests\TestCase;
use Illuminate\Support\Collection;

class ParametersTest extends TestCase
{
    /** @test **/
    public function can_make()
    {
        $parameters = Parameters::make(['event' => 1]);

        $this->assertInstanceOf(Collection::class, $parameters->get());
    }

    /** @test **/
    public function can_get_as_array()
    {
        $parameters = Parameters::make(['event' => 1]);

        $this->assertIsArray($parameters->asArray());
        $this->assertEquals(['event' => 1], $parameters->asArray());
    }

    /** @test **/
    public function can_make_all_paramters_plain()
    {
        $event = factory(Event::class)->make(['id' => 1]);

        $parameters = Parameters::make(['event' => $event])->asPlain();

        $this->assertIsArray($parameters->asArray());
        $this->assertEquals(['event' => 1], $parameters->asArray());
    }
}
